<!--<p-splitter [style]="{'height': 'auto', 'alignContent':'center'}" [panelSizes]="[50,50]">
  <ng-template>
    <div class="card">
      <h5 style="text-align: center; color: coral; font-family: 'Comic Sans MS'; font-size: xxx-large">Login IN</h5>
      <div class="p-grid">
        <div class="p-col-5 p-d-flex p-ai-right p-jc-right">
          <div class="p-fluid">
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                <input type="text" pInputText placeholder="Username" [formControl]="username">
              </div>
            </div>
            <div class="p-field">
              <div class="p-inputgroup">
                <span class="p-inputgroup-addon"><i class="pi pi-check-circle"></i></span>
                <input type="text" pInputText placeholder="Password" [formControl]="password">
              </div>
            </div>
            <button pButton pRipple type="button" label="Login" class="p-button-rounded" (click)="login()"></button>
          </div>
        </div>
        <div class="p-col-2">
          <p-divider layout="horizontal">
            <b>OR</b>
          </p-divider>
        </div>
        <div class="p-col-5 p-d-flex p-ai-center p-jc-center">
          <p-button label="Sign Up" icon="pi pi-user-plus" styleClass="p-button-success" [routerLink]="['/register']"></p-button>
        </div>
      </div>
    </div>
  </ng-template>
  <ng-template>
    <div class="p-col p-d-flex p-ai-center p-jc-center">
      <img alt="Card" src="assets/Chat.png" style="max-width: 60%">
      <p-galleria  [items]="images" class = "ui-g-12- ui-md-7" panelWidth="300" panelHeight="300" [showIndicators]="true"> -->
      <!--<p-galleria [value]="images" [numVisible]="2">
        <ng-template pTemplate="item" let-item>
          <img [src]="item.previewImageSrc" [alt]="item.alt" />
          </ng-template>
          <ng-template pTemplate="thumbnail" let-item>
            <div class="p-grid p-nogutter p-justify-center">
              <img [src]="item.thumbnailImageSrc" />
            </div>
          </ng-template>
      </p-galleria>
        -->

      <!--<ng-template pTemplate="item" let-item>
        <img [src]="item.previewImageSrc" [alt]="item.alt" />
      </ng-template>

    </div>
  </ng-template>
</p-splitter>
-->

<!--
<p-card header="Login Section" [style]="{'width': 'inherit', 'margin-bottom': '2em'}">

    <img alt="Card" src="assets/cover.png">
    <h5 style="text-align: center; color: coral; font-family: 'Comic Sans MS'; font-size: xxx-large">Login IN</h5>
  <div class="p-grid">
    <div class="p-col-5 p-d-flex p-ai-center p-jc-center">
      <div class="p-fluid">
        <div class="p-field">
          <div class="p-inputgroup">
            <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
            <input type="text" pInputText placeholder="Username" [formControl]="username">
          </div>
        </div>
        <div class="p-field">
          <div class="p-inputgroup">
            <span class="p-inputgroup-addon"><i class="pi pi-check-circle"></i></span>
            <input type="text" pInputText placeholder="Password" [formControl]="password">
          </div>
        </div>
        <button type ="button" pButton label="Login" (click)="login()"></button>
      </div>
    </div>
    <div class="p-col-2">
      <p-divider layout="horizontal">
        <b>OR</b>
      </p-divider>
    </div>
    <div class="p-col-5 p-d-flex p-ai-center p-jc-center">
      <p-button label="Sign Up" icon="pi pi-user-plus" styleClass="p-button-success" [routerLink]="['/register']"></p-button>
    </div>
  </div>
</p-card>
-->

<div class="card">
      <div class="p-col p-d-flex p-ai-center p-jc-center">
        <p-card header="Login Section" [style]="{'width': 'inherit', 'margin-bottom': '2em','text-align':'center','font-family':'Comic Sans MS','font-size':'xxx-large','color':'coral'}">
          <div class="p-grid" style="align-self: stretch">
            <div class="p-col-5 p-d-flex p-ai-center p-jc-center" style="align-content: center">
              <div class="p-fluid" style="width: 500px; align-content: center">
                <div class="p-field">
                  <div class="p-inputgroup">
                    <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
                    <input type="text" pInputText placeholder="Username" [formControl]="userName">
                  </div>
                </div>
                <div class="p-field">
                  <div class="p-inputgroup">
                    <span class="p-inputgroup-addon"><i class="pi pi-check-circle"></i></span>
                    <input type="text" pInputText placeholder="Password" [formControl]="passWord">
                  </div>
                </div>
                <button type ="button" pButton label="Login" (click)="login()"></button>
              </div>
            </div>
          </div>
        </p-card>
      </div>
</div>
<h2 style="color: coral">{{response}}</h2>

